#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           libmediawiki
Summary:        A library to access the API of MediaWiki sites
Epoch:          1
Version:        5.38.0
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://projects.kde.org/projects/kde/kdegraphics/libs/libmediawiki
Source:         https://download.kde.org/stable/libmediawiki/%{name}-%{version}.tar.xz

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5CoreAddons)

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Network)

# Branch Patch (100-200)

%description
A library access to the API of MediaWiki sites.

#------------------------------------------------------------------------------

%define mediawiki_major 5
%define libmediawiki %mklibname kf5mediawiki %mediawiki_major

%package -n %libmediawiki
Summary:         A library for dealing with scanners
Group:           System/Libraries
Provides:        mediawiki = %epoch:%version-%release

%description -n %libmediawiki
LibKSane is a KDE interface for SANE library to control flat scanners.

%files -n %libmediawiki
%_kf5_libdir/libKF5MediaWiki.so.%{mediawiki_major}{,.*}

#------------------------------------------------------------------------------

%define libmediawiki_devel %mklibname kf5mediawiki -d

%package -n %libmediawiki_devel
Summary:        Devel stuff for %{name}
Group:          Development/KDE and Qt
Requires:       %libmediawiki = %epoch:%version-%release
Provides:       %name-devel = %epoch:%version-%release

%description -n %libmediawiki_devel
LibKSane is a KDE interface for SANE library to control flat scanner.

This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %libmediawiki_devel
%_kf5_includedir/MediaWiki/
%_kf5_includedir/mediawiki_version.h
%_kf5_libdir/cmake/KF5MediaWiki/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/qt_MediaWiki.pri

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5
%cmake_build

%install
%cmake_install


%changelog
* Fri Nov 25 2022 daviddavid <daviddavid> 1:5.38.0-1.mga9
+ Revision: 1910923
- new version: 5.38.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 1:5.37.0-3.mga8
+ Revision: 1658871
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 1:5.37.0-2.mga8
+ Revision: 1526031
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Apr 20 2019 daviddavid <daviddavid> 1:5.37.0-1.mga7
+ Revision: 1393662
- new version: 5.37.0

* Sun Mar 31 2019 umeabot <umeabot> 15.08.0-4.mga7
+ Revision: 1383126
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 15.08.0-3.mga7
+ Revision: 1298988
- Mageia 7 Mass Rebuild

* Mon Feb 15 2016 umeabot <umeabot> 15.08.0-2.mga6
+ Revision: 961096
- Mageia 6 Mass Rebuild

* Tue Aug 25 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 869227
- imported package libmediawiki

